*{
    margin: 0px;
    padding: 0px;
    box-sizing: border-box;
}
body {
    align-items: center;
    color: #636363;
    font-family: Roboto,sans-serif;
    font-weight: 400;
    line-height: 1.6;
}
.container {
    max-width: 1200px;
    margin: auto;
}
li{
    list-style-type: none;
}

.section-container {
    padding-top: 100px;
}

.title p{
    font-weight: 600;
    font-size: 22px;
    margin-bottom: 20px;
    color: #f55f8d;
}
.title h2{
    font-size: 70px;
    line-height: 77px;
    font-weight: 800;
    color: #262626;
    margin-bottom: 20px;
}
.animateDuration {
    animation-duration: 2s
}
.btn-linear{
    padding: 20px 35px;
    font-size: 15px;
    font-weight: 500;
    border: 1px solid transparent;
    border-radius: 30px;
    background-image: linear-gradient(to right,#f55f8d 0,#f8ae56 51%,#f55f8d 100%);
    background-size: 200%;
    transition: 0.5s;
    color: #fff;
    cursor: pointer;
    text-transform: uppercase;
    outline: 0;
}
.btn-linear:hover{
    background-position: right center;
}
/* START HEADER  */
header{
    position: absolute;
    top: 0px;
    left: 0px;
    width: 100%;
    /* padding:30px 0px; */
}


.header__content{
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;

}
.header__content i{
    font-size: 10px;
    margin-top: -3px;
    vertical-align: middle;
}
nav{
    display: flex;
    align-items: center;

}
nav ul{
    display: flex;
    
    margin-right: 30px;
    
}
.header__content li{
    /* margin-right: 30px; */
    display: list-item;
    list-style: none;
    padding: 55px 15px; 
}
.header__content li a{
    text-decoration: none;
    color:#070120;
    text-transform: capitalize;
    font-size: 15px;
    font-weight: 500;
    transition: 0.5s;
}
.header__content span {
    display: inline-block
}
.header__content li:hover a {
    color: #f55f8d
}
.header__content li:hover span {
    animation: upToDown 0.3s forwards;
}
/* END HEADER  */


/* START Samacarousel  */
.saCarousel{
    width: 100%;
    height: 100%;
    padding-top: 180px;
    background-image: url(../Image/pic2.png);
    background-size: 100%;
    background-position: top;
    /* background-repeat: no-repeat; */
    overflow: hidden;
}
.saCarousel__content{
    margin: auto;
    display: flex;
    align-items: center;
}
.saCarousel__left{
    width: 60%;
}
.saCarousel__right{
    width: 40%;
}
.saCarousel__left .title p{
    font-weight: 600;
    font-size: 22px;
    margin-bottom: 20px;
    color: #f55f8d;
}
.saCarousel__left .title h2{
    font-size: 70px;
    line-height: 77px;
    font-weight: 800;
    color: #262626;
    margin-bottom: 20px;
}

.saCarousel__article p {
    font-size: 18px;
    margin-bottom: 15px;
}
.saCarousel__right .saCarousel__banner img{
    max-width: 100%;

}
.saCarousel__content li{
    list-style-type: none;
    padding: 10px 5px 10px 0;
    font-size: 20px;

}
.saCarousel__content ul {
    margin-bottom: 20px;
}

.saCarousel__article i {
    width: 40px;
    height: 40px;
    border-radius: 50%;
    line-height: 40px;
    background: #000;
    color: #fff;
    text-align: center;

    background-image: linear-gradient(to right,#f55f8d 0,#f8ae56 51%,#f55f8d 100%);
    background-size: 200%; 
    margin-right: 10px; 
}
.saCarousel__right .saCarousel__banner{
    width: 570px;
    margin-left: 50px;
}
/* end Samacarousel */


/* start services  */
.services{
    width: 100%;
    height: 100%;
    background-image: url(./Image/bg2.png);
    background-size: cover;
    background-position: top center;
    text-align: center;
    padding-bottom: 0px;
}
.services__content{
    display: grid;
    grid-template-columns: repeat(3,1fr);
    gap: 30px;
    margin-top: 40px;
}
.services__item{
    background: white;
    border: 1px solid transparent;
    padding: 30px 45px;
    border-radius: 8px;
    box-shadow: 0 0 60px 0 rgb(0 0 0 / 10%);
    transform: translateY(0);
    transition: 0.5s;
}
.services__item:hover{
    transform: translateY(-25px);
}
.services__item img {
    width: 215px;
}

.services__item h3 {
    font-weight: 700;
    font-size: 24px;
    color: #262626;
    margin: 15px 0px;
}
/* end services  */

/* start .aboutUs  */
/* bg img  */
.aboutUs{
    background-image: url(../Image/bg15.png);
    background-size: 100%;
    background-position: center right;
    background-repeat: no-repeat;
    padding-bottom: 85px;
    overflow: hidden;
}
.aboutUs__content{
    display: flex;
    justify-content: flex-end;     /*(đổ sang phải ) */
    align-items: center;
    position: relative;
}
/* xét phần vị trí khung phần bên trái của aboutUs  */
.aboutUs .aboutUS__left{
    width: 60%;
    position: absolute;
    left: -17%;
    overflow: hidden;
}
.aboutUs .aboutUs__right{
    width: 50%;
}
.aboutUS__left img{
    width: 100%;
    border-top-right-radius: 100px;
    border-bottom-right-radius: 100px;
}
.aboutUs__right p {
    margin-bottom: 15px;
}
.aboutUs__right ul{
    margin-bottom: 30px;
}
.aboutUs__right li{
    list-style-type: none;
    /* margin-bottom: 10px; */
}

/* .aboutUs__right i{
    width: 25px;
    height: 25px;
    border:2px solid #f55f8d;
    background: white;
    border-radius: 50%;
    font-size:15px;
    color: #f55f8d ;
    font-weight: 900px;
    margin-right: 10px;
    line-height: 20px;
    text-align: center;
    vertical-align: middle;
    margin-right: 10px;
} */
.aboutUs__right i{
    color: #f55f8d;
    font-size: 24px;
    margin-right: 12px;
    vertical-align: middle;
}
/* END .aboutUs */

/* start number  */
.number{
    width: 100%;
    height: 100%;
    background-image: url(../Image/bg14.png);
    background-repeat:no-repeat;
    background-size: cover;
    background-position: center;
    padding: 80px 0px 50px;
    text-align: center;
}

.number .number__item{
    width: 25%;
    /* display: flex;
    justify-content: center;
    flex-direction: row; */
}
.number .number__content{
    display: flex;
    justify-content: space-between;
}
.number__item i{
    width: 80px;
    height: 80px;
    border-radius: 50%;
    background-image: linear-gradient(to right,#f55f8d 0,#f8ae56 51%,#f55f8d 100%);
    background-size: 200%;
    color: #fff;
    line-height: 80px;
    display: inline-block;
    margin-bottom: 15px;
    font-size: 45px;
}
/* set phần tử p first  */
.number__item p:first-of-type{
    font-size: 65px;
    font-weight: 800;
    color: #f55f8d;
    line-height: 65px;
}
/* end number  */


/* start .features  */
.features {
    background-image: url(../Image/bg2.png);
    background-size: 100%;
    background-position: center;
    background-repeat: no-repeat;
    padding-bottom: 0px;
    overflow: hidden;
}
.features__content {
    display: flex;
}
.features__left{
    width: 50%;
}
.features__right {
    width: 50%;
}
.features__item{
    padding: 0 50px 30px 0;
}
.features__item i {
    font-size: 80px;
    line-height: 80px;
    color: #f55f8d;
    transition: 0.5s;
    z-index: 1;
}
/* set .features__bg kích thước vi trí và khung  */
.features__bg {
    box-shadow: 0px 0px 60px 0px rgb(0 0 0 / 10%);
    padding: 30px;
    background-color: #fff;
    border-radius: 10px;
    display: flex;
    align-items: center;
    position: relative;
    overflow: hidden;
}
.features__item h3{
    font-weight:800px;
    color:#262626;
    font-size:1.5rem;
    transition: 0.8s;
}
.features__item div {
    padding-left: 25px;
    z-index: 1;
    transition: 1s;
}
/* tạo hiệu ứng đổ màu nằm sau */
.features__bg::after {
    content: "";
    width: 100%;
    height: 100%;
    background-image: linear-gradient(
    to right,
    #f55f8d 0,
    #f8ae56 51%,
    #f55f8d 100%);
    background-size: 200%;
    position: absolute;
    top: 0px;
    left: 0px;
    opacity: 0;
    transition: 1s;
}
/* set padding cho item 2 tạo điểm nhấn */
.features__item:nth-of-type(2) {
    padding: 0px 0px 30px 50px;
}
/* set nổi bật phần .features__bg::after khi user hover vào  */
.features__bg:hover::after{
    opacity: 1;
    
}
/* set màu nội dung khi hover  */
.features__bg:hover i,
.features__bg:hover div,
.features__bg:hover h3
{
    color:#fff
}

.features__banner {
    margin-right: -80px;
}
/* set img animation move2 cho chạy suốt  */
.features__banner img {
    max-width: 100%;
    animation: move2 5s infinite;
}
/* animation move 2  */
@keyframes move2 {
    0% {
        transform: rotate(1deg) translate(2px,2px)
    }

    50% {
        transform: rotate(-1deg) translate(-2px,-2px)
    }

    100% {
        transform: rotate(1deg) translate(2px,2px)
    }
}
/* end .features  */


/* start portfolio  */
/* set background  */
.portfolio {
    background-image: url(../Image/bg17.png);
    background-size: cover;
    background-position: top center;
    text-align: center;
}
/* tạo grid cho phần content để chứa các item   */
.portfolio__content {
    display: grid;
    grid-template-columns: repeat(2,1fr) 1.5fr;
    gap: 35px;
}
/* set cột dòng cho item 1  */
.portfolio__item1 {
    grid-column: 1/span 2;
}
/* set cột dòng cho item 5  */

.portfolio__item5 {
    grid-column: 1/span 2;
}
/* set cột dòng cho item 6 */
.portfolio__item6 {
    grid-column: 3/4;
    grid-row: 2/4;
}
/* tạo khung bọc và vị trí của item */
.portfolio__item {
    border-radius: 10px;
    position: relative;
    overflow: hidden;
}
/* set đặt hiệu ứng nằm trước */
.portfolio__item::before {
    content: "";
    width: 50%;
    height: 100%;
    position: absolute;
    top: 0;
    left: -100%;
    display: block;
    background: linear-gradient(to right,rgba(255,255,255,0) 0,rgba(255,255,255,.3) 100%);
    transform: skewX(-25deg);
    transition: all .75s;
}
/* hover vào hiệu ứng sẽ hoạt động  */
.portfolio__item:hover::before {
    left: 125%;
}
.portfolio__item img {
    width: 100%;
    height: 100%;
}
.portfolio__overlay{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0,0,0,.4);
    opacity: 0;
    transition: all .75s;
}
.portfolio__item:hover .portfolio__overlay {
    opacity: 1;
}
.portfolio__icon{
    position: absolute;
    top: 20px;
    right: 20px;
    font-size: 28px;
    color: #fff;
    width: 50px;
    height: 50px;
    line-height: 50px;
    background: linear-gradient(to right,
    #f55f8d 0,
    #f8ae56 51%,
    #f55f8d 100%);
    background-size: 200%;
    border-radius: 10px;
    transform: translate(20px,-20px);
    transition: 0.75s;
}
.portfolio__item:hover .portfolio__icon {
    transform: translate(0);
}
.portfolio__icon a{
    cursor: pointer;
    text-decoration: none;
}
.portfolio__text{
    position: absolute;
    bottom: 30px;
    left: 30px;
    text-align: left;
    transform: translateY(150px);
    transition: all .75s;
}
.portfolio__item:hover .portfolio__text {
    transform: translateY(0);
}

.portfolio__text h3{
    font-size: 22px;
    font-weight: 800;
    color: #fff;
}
.portfolio__text p{
    color: #fff;
    opacity: 0.7;
}

/* end portfolio  */
/* start plan  */
/* set background plan  */
.plan{
    text-align: center;
    background-image: url(../Image/bg16.png);
    background-size: cover;
    background-position: center;
}
/* tạo grid để phân chia item  */
.plan__content {
    display: grid;
    grid-template-columns: repeat(3,1fr);
    margin-top: 40px;
    gap: 30px;
}
/* set planItem  */
.plan__item {
    padding: 35px 60px;
    border: 3px solid transparent;
    border-radius: 8px;
    background-color: #fff;
    box-shadow: 1px 0 50px rgb(0,0,0,.1);
    border-image: 100 round;
    transition: all .5s;
}
/* đường hình ảnh thay thế đường viền khi hover vào item  */
.plan__item:hover {
    border-image: url(../Image/br.png) 1 round;/* số lần lặp lại ở giữa đường viền hình */
}
.plan__item img {
    width: 125px;
}

.plan__item h3 {
    font-weight: 700;
    color: #262626;
    font-size: 2rem;
}

.plan__item li,.plan__item p {
    font-size: 18px;
    color: #262626;
    font-weight: 600;
}

.plan__item li {
    font-weight: 400;
    /* list-style-type: none; */
}

.plan__item span {
    color: #f8ae56;
    font-size: 50px;
    font-weight: 800px;
}

.plan__item ul {
    text-align: left;
    padding: 15px 0px;
    border-top: 1px solid #e1e1f0;
}

.plan__item li {
    padding: 5px 0px;
}
/* set icon check màu sắc kích thước  */
.plan__item i {
    font-size: 12px;
    width: 26px;
    height: 26px;
    line-height: 26px;
    text-align: center;
    background-color: #feeff3;
    color: #f55f8d;
    border-radius: 100%;
    margin-right: 15px;
}
/* end plan  */

/* start .testimonial  */
/* set background cho .testimonial  */
.testimonial {
    text-align: center;
    background-image: url(../Image/bg17.png);
    background-size: 100%;
    background-position: center;
    background-repeat: no-repeat;
}

.testimonial__content {
    min-height: 300px;
}

.testimonial__thumbs {
    width: 300px;
    margin: auto;
    box-sizing: border-box;
    height: 170px;
    position: relative;
    overflow: hidden;
}

.testimonial__thumbs .testimonial__pic img {
    width: 80px;
    height: 80px;
    border-radius: 100%;
    padding: 5px;
    position: relative;
    z-index: 2;
    background-color: #f55f8d;
}

.testimonial__thumbs::before,.testimonial__thumbs::after {
    content: "";
    width: 50px;
    position: absolute;
    top: 0;
    height: 100%;
    z-index: 2;
}
/* set hiệu ứng mờ khói trái */
.testimonial__thumbs::before {
    left: 0;
    background: linear-gradient(to right,#fff 0,rgba(255,255,255,0) 100%);
}
/* set hiệu ứng mờ khói phải */

.testimonial__thumbs::after {
    right: 0;
    background: linear-gradient(to left,#fff 0,rgba(255,255,255,0) 100%);
}
/* set dấu gạch nhưng ẩn đi  */
.testimonial__pic .shape-bx {
    position: relative;
    height: 35px;
    width: 50px;
    left: 50%;
    transform: translateX(-50%);
    bottom: 30px;
    opacity: 0;
    transition: all 1s;
    background-color: #f55f8d;
}
/* khi được chọn tới sẽ hiển thị dấu gạch đã được ẩn đi  */
.swiper-slide-thumb-active .testimonial__pic .shape-bx {
    opacity: 1
}
/* tạo hình mũi tên  */
.testimonial__pic .shape-bx::before {
    content: "";
    position: absolute;
    left: 0;
    bottom: 0;
    background-image: url(../Image/pattern12.png);
    background-position: bottom;
    background-size: contain;
    height: 100%;
    width: 100%;
    transition: all 1s;
}
/* tạo và đặt vị trí 2 dấu tròn nhỏ  */
.testimonial__pic::before {
    height: 15px;
    width: 15px;
    bottom: 30px;
}

.testimonial__pic::after {
    height: 10px;
    width: 10px;
    bottom: 0;
}
/* set dấu tròn và đặt ví trí dưới hình ảnh nhỏ nhưng được ẩn đi  */
.testimonial__pic::after,.testimonial__pic::before {
    content: "";
    background-color: #f55f8d;
    border-radius: 50px;
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    opacity: 0;
}


/* hiện vòng tròn nhỏ đã được set ở trên  */
.swiper-slide-thumb-active .testimonial__pic::after,.swiper-slide-thumb-active .testimonial__pic::before {
    opacity: 1;
}
/* xét width height cho khối chữ nội dung bên dưới  */
.testimonial__comment {
    min-height: 300px;
    width: 100%;
    overflow: hidden;
}

.testimonial__comment .swiper-wrapper{
    padding-bottom: 20px;
}

.testimonial__thumbs .testimonial__pic{
    padding: 30px 0 0;
    transition: all .5s;
}

.testimonial__thumbs .swiper-slide-thumb-active .testimonial__pic{
    padding: 0 0 40px;
}
/* tạo khung xét width cho chữ nội dung bên dưới,và tạo khối  */
.testimonial__text{
    padding: 30px;
    text-align: center;
    box-shadow: 0 10px 20px 0 rgba(0,0,0,.1);
    margin: 0 auto;
    border-radius: 10px;
    background-color: #fff;
    max-width: 770px;
    position: relative;
}
/* set vị trí dấu chấm nhỏ chuyển swiper bên dưới cuối  */
.swiper-pagination-bullets.swiper-pagination-horizontal,.testimonial .swiper-horizontal>.swiper-pagination-bullets {
    bottom: auto;
}

.swiper-pagination-bullet-active{
    background: #f55f8d;
}

.testimonial__text i{
    position: absolute;
    top: 10px;
    left: 30px;
    font-size: 70px;
    color: #f55f8d;
    transform: rotate(-180deg);
}

.testimonial__text p{
    font-size: 18px;
    font-weight: 400;
    font-style: italic;
    padding: 0 15px 15px;
}

.testimonial__name{
    font-size: 22px;
    font-weight: 800;
    color: #000;
    line-height: 26px;
    margin-bottom: 5px;
}

.testimonial__position{
    font-size: 15px;
    color: #f55f8d;
    margin-bottom: 20px;
    padding: 0;
}

/* end .testimonial  */
/* start blog  */
/* set bg cho blog  */
.blog {
    background-image: url(../img/bg16.png);
    background-size: cover;
    background-position: top center;
    text-align: center;
    padding-bottom: 50px;
}

.blog__item {
    text-align: left;
    background: rgba(245,95,141,.1);
    border-radius: 8px;
}

.blog__header {
    position: relative;
}
/* xét width hình ảnh  */
.blog__header img {
    width: 100%;
    border-radius: 8px;
}
/* set p khung chữ nằm ngay hình được hiển thị màu và vị trí  */
.blog__header p {
    background-image: linear-gradient(to right,#f55f8d 0,#f8ae56 51%,#f55f8d 100%);
    background-size: 200%;
    border-radius: 6px;
    padding: 10px 20px;
    font-size: 14px;
    color: #fff;
    position: absolute;
    bottom: -20px;
    left: 15px;
}

.blog__body {
    padding: 30px 15px 20px 15px;
    line-height: 1.4;
    margin-bottom: 20px;
}

.blog__body h3 {
    font-size: 1.5rem;
    font-weight: 700;
    color: #262626;
}
/* set footer của blog đặt vị trí và tạo dấu gạch trên  */
.blog__footer {
    display: flex;
    align-items: center;
    padding: 15px;
    text-transform: uppercase;
    font-weight: 400;
    font-size: 14px;
    border-top: 1px solid rgba(0,0,0,.05);
}
/* tạo màu cho thẻ i trong blog footer  */
.blog__footer i {
    font-size: 22px;
    color: #f55f8d;
    vertical-align: sub;/* canh lề thẻ i cho đẹp */
}
/* đẩy thẻ p đầu rời ra  */
.blog__footer p:first-of-type {
    margin-right: 20px;
}
/* tạo màu cho span   */
.blog__footer p:first-of-type span {
    color: #f55f8d
}

/* end blog  */
/* start footer  */
/* set bg footer  */
footer {
    background-image: url(../Image/bg4.png);
    display: block;
    height: auto;
    background-repeat: no-repeat;
    background-position: center;
    background-color: #0e1b1f;
    background-size: contain;
    color: #fff;
    font-size: 15px;
    position: relative;
}
/* gắn hình trước footer như hiệu ứng làm đẹp cho footer   */
footer::before {
    content: "";
    background-image: url(../Image/pattern2.png);
    background-position: left top;
    background-repeat: no-repeat;
    background-size: contain;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}
/* tạo bg và đặt vị trí cho footer top  */
.footer__top {
    padding: 50px 60px;
    background-color: #fff;
    border-radius: 10px;
    box-shadow: 0 0 30px 0 rgba(0,0,0,.1);
    background-image: url(../Image/pattern3.png);
    background-position: bottom;
    background-repeat: no-repeat;
    background-size: 100%;
    position: relative;
    display: flex;
}

.footer__form,.footer__text {
    width: 50%;
}

.footer__text h2 {
    font-size: 28px;
    color: #262626;
}
/* set form chứa input button footer top  */
.footer__form form {
    display: flex;
    border-radius: .5rem;
    box-shadow: 0 0 60px 0 rgb(0,0,0,.1);
}
/* set input */
.footer__form input {
    padding: 20px 20px;
    font-size: 15px;
    font-weight: 400;
    color: #888;
    background: #fff;
    flex: 1 1 auto;
    border-radius: .5rem 0 0 .5rem;
    border: 1px solid #fff;
    outline: 0;
    transition: all .5s;
}
/* tạo đường viền cho input khi chọn vào  */
.footer__form input:focus,.footer__form input:hover {
    border-color: #f55f8d;
}
/* set đổ màu button */
.footer__form button {
    padding: 20px 35px;
    font-size: 20px;
    background-image: linear-gradient(to right,#f55f8d 0,#f8ae56 51%,#f55f8d 100%);
    background-size: 200%;
    border-color: transparent;
    transition: all .5s;
    border-radius: 0 .5rem .5rem 0;
    color: #fff;
    cursor: pointer;
}
/* hiệu ứng màu chạy qua lại của button khi chọn vào  */
.footer__form button:hover {
    background-position: right center;
}
/* Chạy animation di chuyển của icon khi hover vào   */
.footer__form button:hover i {
    animation: toLeftFromRight .5s forwards;

}

.footer__bottom {
    display: flex;
    padding: 70px 0;
    position: relative
}
/* set width cho 4 footer item  */
.footer__item {
    width: 25%;
}

.footer__item h3 {
    font-size: 24px;
    font-weight: 700;
    padding-bottom: 10px;
    margin-bottom: 30px;
    position: relative;
    color: #fff
}
/* set dấu gạch dưới 7 màu của h3 trong footer item  */
.footer__item h3::after,.footer__item h3::before {
    content: "";
    position: absolute;
    bottom: 0;
    left: 0;
    height: 4px;
    border-radius: 20px;
    background: linear-gradient(to right,#f55f8d 0,#f8ae56 51%,#f55f8d 100%);
    background-size: 200%; /* chỉnh size đổ màu của bg được tạo phía trên */
}
/* set dấu gạch trước  */
.footer__item h3::before {
    width: 15px;
}
/* set dấu gạch sau cách ra 20px  */
.footer__item h3::after {
    width: 45px;
    left: 20px;
}

.footer__contact li {
    padding: 8px 0;
    display: flex;
    align-items: center;
}
/* tạo khung màu  cho icon i  */
.footer__contact i {
    height: 40px;
    width: 40px;
    line-height: 40px;
    margin-right: 10px;
    text-align: center;
    background: linear-gradient(to right,#f55f8d 0,#f8ae56 51%,#f55f8d 100%);
    display: block;
    border-radius: 50px;
}

.footer__item li {
    padding: .5rem 0;
}

.footer__item a {
    color: #636363;
    font-size: 16px;
    transition: all .5s;
}

.footer__item i {
    font-weight: 700;
    margin-right: 10px;
}

.footer__item a:hover {
    color: #fff;
}

.footer__copyright {
    background-color: #1f343b;
    padding: 10px 0px;
    position: relative;
}

.footer__content {
    display: flex;
    justify-content: space-between;
}

.footer__left span {
    color: #f55f8d;
}

.footer__copyright a {
    height: 32px;
    width: 32px;
    line-height: 32px;
    text-align: center;
    display: inline-block;
    border-radius: 50px;
    font-size: 14px;
    color: #fff;
    background-color: rgba(255,255,255,.1);
    transition: all .5s;
}
/* tạo màu cho icon copyright bên dưới khi hover vào  */
.footer__copyright a:hover {
    background: #f55f8d;
}



/* end footer  */
/* set khung backtoTop ở cuối góc  */
.backToTop {
    width: 50px;
    height: 50px;
    background: #f55f8d;
    border-radius: 8px;
    line-height: 50px;
    text-align: center;
    display: block;
    position: fixed;
    right: 15px;
    bottom: 15px;
    color: #fff;
    transition: all .2s;
    box-shadow: -4px 4px 24px -10px #f55f8d;
    visibility: hidden;
    opacity: 0;
}
.cd-top--is-visible {
    visibility: visible;
    opacity: 1;
}



/* start  @keyframes upToDown  */
@keyframes upToDown {
    49% {
        transform: translateY(100%);
    }

    50% {
        opacity: 0;
        transform: translateY(-100%);
    }

    51% {
        opacity: 1;
    }
}
/* end @keyframes upToDown   */

/* start @keyframes toLeftFromRight  */
@keyframes toLeftFromRight {
    49% {
        transform: translateX(100%);
    }

    50% {
        opacity: 0;
        transform: translateX(-100%);
    }

    51% {
        opacity: 1;
    }
}
/* end @keyframes toLeftFromRight */